REM PERFORMANCE TEST

REM Parameters T or Threads - max 512
REM            W or Words   - data size
REM            R or Repeats - change for longer tests

REM CudaNMFLOPS-xXXXP.exe  Threads 128, Words 50000,  Repeats 2500

REM CudaNMFLOPS-xXXXP.exe  Threads 64, Words 25000,  Repeats 2500
REM CudaNMFLOPS-xXXXP.exe  Threads 32, Words 12000,  Repeats 5000
REM CudaNMFLOPS-xXXXP.exe  Threads 16, Words 6000,  Repeats 10000

Rem Default Starting Point Threads 256, Words 100000, Repeats 2500


REM RELIABILITY TEST - minimum to run CudaNMFLOPS-xXXXP.exe M

REM Parameters M or Minutes overall running time
REM            S or Seconds time between result displays
REM            FC use Shared Memory test not normal RAM
REM            Words and Threads, not Repeats

REM Example for these and alternative data sizes:
REM CudaNMFLOPS-xXXXP.exe W 50000, T 512, M 1, S 30, FC 

REM Default Words 10000000, Threads 256, Repeats variable, Minutes 1
REM         Seconds 15, Normal calculations (not Shared Memory)

REM See http://www.roylongbottom.org.uk/cuda1.htm
REM     http://www.roylongbottom.org.uk/cuda2.htm
REM     http://www.roylongbottom.org.uk/cuda3-x64.htm

REM For better indication of errors, run with e.g. cmd.exe /k cuda3mflops-x64DP